import { ChartAnnotation, ChartDimension, ChartMeasure, ChartSettings, EntityType, QueryReturn } from '@metad/ocap-core';
import { EChartsContext, EChartsOptions, ICoordinate } from './types';
export declare function boxplot(data: QueryReturn<unknown>, chartAnnotation: ChartAnnotation, entityType: EntityType, settings: ChartSettings, options: EChartsOptions): EChartsContext;
/**
 * 单个散点图笛卡尔坐标系, 对应一个 grid 内的组件
 *
 * 包含对 dimension role 为 series 的处理
 *
 * @param data 数据数组
 * @param chartAnnotation 图形注解
 * @param entityType 实体类型
 * @param settings 图形设置
 * @param options 图形属性
 * @returns
 */
export declare function boxplotCoordinate(context: EChartsContext, data: Array<unknown>): ICoordinate;
export declare function prepareBoxplotDataSource(entityType: EntityType, category: ChartDimension, measure: ChartMeasure, data: any[]): {
    source: any[][];
    categories: {
        key: string;
        caption: any;
    }[];
};
