import { ChartAnnotation, ChartDimension, ChartSettings, EntityType, QueryReturn } from '@metad/ocap-core';
import { EChartsContext, EChartsDataset, EChartsOptions, ICoordinate, SeriesComponentType } from './types';
export declare function cartesian(data: QueryReturn<unknown>, chartAnnotation: ChartAnnotation, entityType: EntityType, settings: ChartSettings, options: EChartsOptions, type: string): EChartsContext;
/**
 * 单个笛卡尔坐标系, 对应一个 grid 内的组件
 *
 * @param data 数据数组
 * @param chartAnnotation 图形注解
 * @param entityType 实体类型
 * @param settings 图形设置
 * @param options 图形属性
 * @returns
 */
export declare function cartesianCoordinate(context: EChartsContext, data: Array<Record<string, unknown>>): ICoordinate;
/**
 * @deprecated 使用更好的方式, 不能这样推断出来
 *
 * @param dataset
 * @param seriesComponent
 * @param series
 * @returns
 */
export declare function getVisualMapValueAxisIndex(dataset: EChartsDataset, seriesComponent: SeriesComponentType, series?: ChartDimension): import("@metad/ocap-core").PrimitiveType;
export declare function getLegendColorForVisualMap(colors: any): any;
