import { ChartDimension, ChartMeasure, ChartSettings, EntityType } from '@metad/ocap-core';
import { AxisEnum, EChartsDataset, EChartsOptions, SeriesComponentType } from '../types';
export declare function dimensionToSeriesComponent(name: string, dimension: ChartDimension, measures: ChartMeasure[], data: any[], entityType: EntityType, settings: ChartSettings): SeriesComponentType;
export declare function measuresToSeriesComponents(measures: ChartMeasure[], data: any[], entityType: EntityType, settings: ChartSettings): SeriesComponentType[];
/**
 * Serialize measure to echarts series component options
 *
 * @param dataset
 * @param seriesComponent
 * @param entityType
 * @param valueAxis
 * @param settings
 * @param options
 * @returns
 */
export declare function serializeSeriesComponent(dataset: EChartsDataset, seriesComponent: SeriesComponentType, entityType: EntityType, valueAxis: any, settings: ChartSettings, options: EChartsOptions): {
    series: any;
    visualMaps: any[];
};
export declare function referenceLines(axis1: ChartMeasure, axis2: ChartMeasure, options: EChartsOptions, valueAxis: AxisEnum, locale: string): {
    markLine: {
        data: any[];
        label: {
            formatter: (params: {
                value: string | number;
            } | Array<any>) => string;
        };
    };
    markPoint: {
        data: any[];
        label: {
            formatter: (params: {
                value: string | number;
            } | Array<any>) => string;
        };
    };
};
