export var AxisEnum;
(function (AxisEnum) {
    AxisEnum["x"] = "xAxis";
    AxisEnum["y"] = "yAxis";
    AxisEnum["xAxis"] = "x";
    AxisEnum["yAxis"] = "y";
    AxisEnum["radius"] = "radiusAxis";
    AxisEnum["angle"] = "angleAxis";
    AxisEnum["radiusAxis"] = "radius";
    AxisEnum["angleAxis"] = "angle";
    AxisEnum["singleAxis"] = "singleAxis";
})(AxisEnum || (AxisEnum = {}));
export const FORMAT_LOCALE_DATA = {
    en: {
        lang: 'en-US',
        shortNumberFactor: 3,
        shortNumberUnits: 'K,M,B,T,Q'
    },
    'zh-Hans': {
        lang: 'zh-Hans',
        shortNumberFactor: 4,
        shortNumberUnits: '万,亿,万亿'
    }
};
// Type Guards
export const isCoordinateCartesian2d = (toBe) => toBe?.type === 'Cartesian2d';
export const isCoordinateSingleAxis = (toBe) => toBe?.type === 'SingleAxis';
export const isCoordinatePolar = (toBe) => toBe?.type === 'Polar';
export const isCoordinateCalendar = (toBe) => toBe?.type === 'Calendar';
// Helpers
export function totalMeasureName(measure) {
    return `__total_${measure}__`;
}
//# sourceMappingURL=types.js.map