import { ChartAnnotation, ChartSettings, EntityType, QueryReturn } from '@metad/ocap-core';
import { AxisEnum, EChartsContext, EChartsDataset, EChartsOptions, ICoordinate, IDataset, SeriesComponentType } from './types';
export declare function waterfallChart(data: QueryReturn<unknown>, chartAnnotation: ChartAnnotation, entityType: EntityType, settings: ChartSettings, options: EChartsOptions): {
    echartsOptions: any;
    valueAxis?: AxisEnum;
    categoryAxis?: AxisEnum;
    data: QueryReturn<unknown>;
    chartAnnotation: ChartAnnotation;
    entityType: EntityType;
    settings: ChartSettings;
    options: EChartsOptions;
    datasets?: IDataset[];
    onClick?: (event: any) => {
        filter: import("@metad/ocap-core").ISlicer;
    };
};
/**
 * 单个笛卡尔坐标系, 对应一个 grid 内的组件
 *
 * @param data 数据数组
 * @param chartAnnotation 图形注解
 * @param entityType 实体类型
 * @param settings 图形设置
 * @param options 图形属性
 * @returns
 */
export declare function waterfallCoordinate(context: EChartsContext, data: Array<Record<string, unknown>>): ICoordinate;
export declare function waterfallSeriesComponent(context: EChartsContext, dataset: EChartsDataset, seriesComponents: SeriesComponentType[], valueAxis: {
    orient: AxisEnum;
}): {
    options: any;
    visualMaps: any[];
}[];
